<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:nk="http://netkernel.org" xmlns:xrl="http://netkernel.org/xrl">
    <xsl:output method="xml" omit-xml-declaration="yes"/>
	
	<xsl:param name="books"/>
	
	<xsl:template match="/">
		<html>
		<body>
		<h2>Docs that do not appear in a book</h2>
		<div>
			<table cellspacing="0" cellpadding="0">
			<tr class="title">
			<td>
				<div style="padding: 10px;"> id</div>
			</td>
			<td>
				<div style="padding-left: 20px; padding: 10px;">Space</div>
			</td>
			</tr>
				<xsl:apply-templates select="//doc"/>
			</table>
		</div>
		</body>
		</html>
    </xsl:template>
	
	<xsl:template match="doc">
		<xsl:variable name="id" select="id"/>
		<xsl:if test="not ( $books//item/@id=$id )">
		<tr>
		<td width="300px;">
			<xsl:value-of select="id"/>
		</td>
		<td>
			<xsl:value-of select="../../id"/> - <xsl:value-of select="../../version"/>
		</td>
		</tr>
		</xsl:if>
	</xsl:template>
	
</xsl:stylesheet>
